lens-3.10: Lenses, Folds and Traversals

Portability | Rank2Types
Stability | experimental
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Trustworthy

Data.Typeable.Lens

Description

Synopsis

- _cast :: (Typeable s, Typeable a) => Traversal' s a
- _gcast :: (Typeable s, Typeable a) => Traversal' (c s) (c a)

# Documentation

_cast :: (Typeable s, Typeable a) => Traversal' s aSource

A `Traversal'` for working with a `cast` of a `Typeable` value.

_gcast :: (Typeable s, Typeable a) => Traversal' (c s) (c a)Source

A `Traversal'` for working with a `gcast` of a `Typeable` value.